// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package eol

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : EOLPA
 *-----------------------------------------------------------------------------
 *
 * @Description              : EOLPA的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-03-30 15:04:57
 *
 ******************************************************************************/
type EOLPA struct {
	NAME             string        `xorm:"nvarchar(255) 'NAME'" json:"EOLPA-NAME"`
	CODE             string        `xorm:"nvarchar(255) 'CODE'" json:"EOLPA-CODE"`
	TESTDATA         grmi.DateTime `xorm:"datetime 'TESTDATA'" json:"EOLPA-TESTDATA"`
	SAB              string        `xorm:"nvarchar(255) 'SAB'" json:"EOLPA-SAB"`
	SABRESULT        string        `xorm:"nvarchar(255) 'SABRESULT'" json:"EOLPA-SABRESULT"`
	SBRNOLOAD        string        `xorm:"nvarchar(255) 'SBRNOLOAD'" json:"EOLPA-SBRNOLOAD"`
	SBRLOAD          string        `xorm:"nvarchar(255) 'SBRLOAD'" json:"EOLPA-SBRLOAD"`
	SBRRESULT        string        `xorm:"nvarchar(255) 'SBRRESULT'" json:"EOLPA-SBRRESULT"`
	BUCKLERESULT     string        `xorm:"nvarchar(255) 'BUCKLERESULT'" json:"EOLPA-BUCKLERESULT"`
	VENT             string        `xorm:"nvarchar(255) 'VENT'" json:"EOLPA-VENT"`
	VENTNOISE        string        `xorm:"nvarchar(255) 'VENTNOISE'" json:"EOLPA-VENTNOISE"`
	VENTRESULT       string        `xorm:"nvarchar(255) 'VENTRESULT'" json:"EOLPA-VENTRESULT"`
	HEATER           string        `xorm:"nvarchar(255) 'HEATER'" json:"EOLPA-HEATER"`
	HEATERRESULT     string        `xorm:"nvarchar(255) 'HEATERRESULT'" json:"EOLPA-HEATERRESULT"`
	LAMBARFORWARD    string        `xorm:"nvarchar(255) 'LAMBARFORWARD'" json:"EOLPA-LAMBARFORWARD"`
	LAMBARBACKWARD   string        `xorm:"nvarchar(255) 'LAMBARBACKWARD'" json:"EOLPA-LAMBARBACKWARD"`
	LAMBARNOISE      string        `xorm:"nvarchar(255) 'LAMBARNOISE'" json:"EOLPA-LAMBARNOISE"`
	LAMBARRESULT     string        `xorm:"nvarchar(255) 'LAMBARRESULT'" json:"EOLPA-LAMBARRESULT"`
	TRACKFORWARD     string        `xorm:"nvarchar(255) 'TRACKFORWARD'" json:"EOLPA-TRACKFORWARD"`
	TRACKBACKWARD    string        `xorm:"nvarchar(255) 'TRACKBACKWARD'" json:"EOLPA-TRACKBACKWARD"`
	TRACKNOISE       string        `xorm:"nvarchar(255) 'TRACKNOISE'" json:"EOLPA-TRACKNOISE"`
	TRACKRESULT      string        `xorm:"nvarchar(255) 'TRACKRESULT'" json:"EOLPA-TRACKRESULT"`
	RECLINEFORWARD   string        `xorm:"nvarchar(255) 'RECLINEFORWARD'" json:"EOLPA-RECLINEFORWARD"`
	RECLINEBACKWARD  string        `xorm:"nvarchar(255) 'RECLINEBACKWARD'" json:"EOLPA-RECLINEBACKWARD"`
	RECLINENOISE     string        `xorm:"nvarchar(255) 'RECLINENOISE'" json:"EOLPA-RECLINENOISE"`
	RECLINERESULT    string        `xorm:"nvarchar(255) 'RECLINERESULT'" json:"EOLPA-RECLINERESULT"`
	TILTDOWN         string        `xorm:"nvarchar(255) 'TILTDOWN'" json:"EOLPA-TILTDOWN"`
	TILTUP           string        `xorm:"nvarchar(255) 'TILTUP'" json:"EOLPA-TILTUP"`
	TILTNOISE        string        `xorm:"nvarchar(255) 'TILTNOISE'" json:"EOLPA-TILTNOISE"`
	TILTRESULT       string        `xorm:"nvarchar(255) 'TILTRESULT'" json:"EOLPA-TILTRESULT"`
	HEIGHTDOWN       string        `xorm:"nvarchar(255) 'HEIGHTDOWN'" json:"EOLPA-HEIGHTDOWN"`
	HEIGHTUP         string        `xorm:"nvarchar(255) 'HEIGHTUP'" json:"EOLPA-HEIGHTUP"`
	HEIGHTNOISE      string        `xorm:"nvarchar(255) 'HEIGHTNOISE'" json:"EOLPA-HEIGHTNOISE"`
	HEIGHTRESULT     string        `xorm:"nvarchar(255) 'HEIGHTRESULT'" json:"EOLPA-HEIGHTRESULT"`
	FOOTLAMP         string        `xorm:"nvarchar(255) 'FOOTLAMP'" json:"EOLPA-FOOTLAMP"`
	FOOTLAMPRESULT   string        `xorm:"nvarchar(255) 'FOOTLAMPRESULT'" json:"EOLPA-FOOTLAMPRESULT"`
	INITIALIZERESULT string        `xorm:"nvarchar(255) 'INITIALIZERESULT'" json:"EOLPA-INITIALIZERESULT"`
	DTCRESULT        string        `xorm:"nvarchar(255) 'DTCRESULT'" json:"EOLPA-DTCRESULT"`
	TOTALRESULT      string        `xorm:"nvarchar(255) 'TOTALRESULT'" json:"EOLPA-TOTALRESULT"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-03-30 15:04:57
 *
 ******************************************************************************/
func (self *EOLPA) GetKey() core.PK {
	return core.PK{}
}
